Request buyer access
curl --request POST \
--url https://api.interchange.io/auth/buyer-signup-intake \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>"
}
'import requests
url = "https://api.interchange.io/auth/buyer-signup-intake"
payload = {
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
first_name: '<string>',
last_name: '<string>',
company: '<string>'
})
};
fetch('https://api.interchange.io/auth/buyer-signup-intake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"data": {
"ok": true,
"org_ref": "<string>",
"qualification_route": "solutions_review"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Signup
Request buyer access
Submit buyer qualification for human review. This public form does not create an account, grant access, or establish organization or email ownership.
POST
/
auth
/
buyer-signup-intake
Request buyer access
curl --request POST \
--url https://api.interchange.io/auth/buyer-signup-intake \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>"
}
'import requests
url = "https://api.interchange.io/auth/buyer-signup-intake"
payload = {
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
first_name: '<string>',
last_name: '<string>',
company: '<string>'
})
};
fetch('https://api.interchange.io/auth/buyer-signup-intake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"data": {
"ok": true,
"org_ref": "<string>",
"qualification_route": "solutions_review"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
254Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Required string length:
1 - 80Required string length:
1 - 80Required string length:
1 - 200Available options:
brand, agency Available options:
self_service, assisted_pilot, evaluate, integration_partnership, campaign_management, agent_connection Required string length:
1 - 200Available options:
agentic-signup, agentic-login, marketing-site Maximum string length:
1000Maximum array length:
249Required string length:
2 - 32Maximum array length:
22Available options:
display, olv, social, search, ctv, linear_tv, radio, streaming_audio, podcast, dooh, ooh, print, cinema, email, gaming, retail_media, influencer, affiliate, product_placement, sponsored_intelligence, audio, other Maximum array length:
50- Option 1
- Option 2
Show child attributes
Show child attributes
Required string length:
1 - 100Available options:
ready_now, one_to_three_months, later Maximum string length:
500